export declare const useRoomState: (roomJID?: string) => {
    room: import('../types/types').IRoom;
    roomsList: {
        [jid: string]: import('../types/types').IRoom;
    };
    activeRoomJID: string;
    editAction: import('../types/types').EditAction;
    globalLoading: boolean;
    loading: boolean;
    roomMessages: import('../types/types').IMessage[];
    usersSet: Record<string, import('../types/types').RoomMember>;
};
